// Copyright (c) 2001-2004 Rowley Associates Limited.
//
// This file may be distributed under the terms of the License Agreement
// provided with this software.
//
// THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

// Put delay routine in the .fast section so that both FLASH and RAM
// configurations delay for the same time.
void delay(volatile unsigned int d) __attribute__((section(".fast")));

void
delay(volatile unsigned int d)
{
  for (;d ;--d);
}

